Skip to content
CARP Docs
Ask AISystemLightDark

Data stream service

Copy MarkdownOpen inView as MarkdownOpen in Scira AIOpen in ChatGPTOpen in ClaudeOpen in Cursor
POST
/api/data-stream-service

The request body should be a serialized DataStreamServiceRequest (string). The response body will also be serialized (string). The request-response mappings are as follows:

  • OpenDataStreams -> Unit
  • AppendToDataStreams -> Unit
  • GetDataStream -> DataStreamBatch
  • CloseDataStreams -> Unit
  • RemoveDataStreams -> UUID[]
bearer
headerAuthorizationBearer <token>

Provide the username and password of the user

application/json
  1. body
configuration*
apiVersion*
responseSerializer*

Response body

OK

*/*
  1. response
Example request
curl -X POST 'https://dev.carp.dk/api/data-stream-service' \  -H 'Content-Type: application/json' \  -d '{  "configuration": {    "studyDeploymentId": {},    "expectedDataStreams": [      {        "deviceRoleName": "string",        "dataType": {}      }    ],    "expectedDataStreamIds": [      {        "studyDeploymentId": {},        "deviceRoleName": "string",        "dataType": {}      }    ]  },  "apiVersion": {    "major": 0,    "minor": 0  },  "responseSerializer": {    "descriptor": {      "annotations": [        {}      ],      "serialName": "string",      "elementsCount": 0,      "isInline": true,      "kind": null,      "isNullable": true    }  }}'
Example response
{}

Quick links

Page · DocumentationCARP DocumentationPage · DocumentationIntroductionPage · DocumentationQuickstartPage · DocumentationTerminologyPage · DocumentationArchitecture